function traindata = convertManMade(featureEng, nodeFea, edgeFea, corrLabels, trainNdx);

% The node features may be ssFea or msFea (single or multiscale).
% The edge features are usually ssFea.
% Either or both can get a quadratic expansion.

nr=16; nc=24;

Dss = size(nodeFea{1}{1,1},1); % dataSS{r,c}(d) d=1:5
Dms = size(edgeFea{1}{1,1},1); % dataMS{r,c}(d) d=1:14
tmp = reshape(cell2mat(nodeFea{1}), [Dss nr nc]); % tmp(d,r,c)
Dnode = size(mkNodeFeatures(featureEng, tmp), 1);
tmp = reshape(cell2mat(edgeFea{1}), [Dms nr nc]); % tmp(d,r,c)
Dedge = size(mkEdgeFeatures(featureEng, tmp), 1);

nnodes = nr*nc;
nedgesUndir = nr*(nc-1) + nc*(nr-1);
nedgesDir = 2*nedgesUndir;

Ntrain = length(trainNdx);
traindata.nodeFeatures = zeros(Dnode, nnodes, Ntrain);
traindata.edgeFeatures = zeros(Dedge, nedgesDir, Ntrain);
traindata.nodeLabels = zeros(nr, nc, Ntrain);
traindata.ncases = length(trainNdx);
for s=trainNdx
  dataSS = nodeFea{s}; 
  dataMS = edgeFea{s}; 
  if size(dataSS,1) ~= nr
    % some of the data is transposed
    fprintf('trasnposing %d\n', s);
    dataSS = dataSS';
    dataMS = dataMS';
  end
  tmp = reshape(cell2mat(dataSS), [Dss nr nc]); % tmp(d,r,c)
  traindata.nodeFeatures(:,:,s) = mkNodeFeatures(featureEng, tmp);
  tmp = reshape(cell2mat(dataMS), [Dms nr nc]); % tmp(d,r,c)
  traindata.edgeFeatures(:,:,s) = mkEdgeFeatures(featureEng, tmp);
  traindata.nodeLabels(:,:,s) = corrLabels{s};
end
