function [xmin, xmax, ymin, ymax]=getBounds(x0,y0,sc,imLen,imWid,bWid);

% This helper function computes the min and max indices of a site at 
% each scale.  This is required because sites along the image edge 
% require special consideration.
%
% INPUTS:
%	x0 the upperleft x coord of the current block
%	y0 - the upper left y coord of the current block
%	sc - the current scale
%	imLen - image length in pixels
%	imWid - the width of the image in pixels
%	b - the width of a block (blocks are squares)



% there are 3 cases, sc =1,2,3.
% easy case sc = 1.
if( sc == 1)

	xmin = x0;
	ymin = y0;
	xmax = xmin +bWid-1;
	ymax= ymin+bWid-1;

else % scale =2 or 3

   % get teh desired shifts from site centers
   shoriz = (sc-1)*32;
   svert = shoriz;
   sleft = (sc - 1)*16;
   sright = (sc -1)*16;

   sup = (sc - 1)*16;
   sdown = (sc -1)*16;
 
   if( x0 -sleft < 1 )
	xmin = 1;
	xmax = xmin+ shoriz-1;

   elseif(x0+sright>imWid )
	xmin = imWid-shoriz+1;
	xmax = imWid;
   else
	xmin = x0+bWid/2-sleft;
	xmax = x0+bWid/2+sright-1;
   end

   % do y component

   if( y0 -sup < 1 )
	ymin = 1;
	ymax = ymin+svert-1;

   elseif( y0+sdown>imLen )
	ymin = imLen-svert+1;
	ymax = imLen;
   else
	ymin = y0+bWid/2-sup;
	ymax = y0+bWid/2+sdown-1;
   end


end
