function sCounts = kernelSmoother( countVec )

% This function applies kernel smoothing to the histogram
% to reweight the bin counts in the gradient orientation
% histogram represented by the vector of counts, countVec
%
%
% function reWeightedCounts = kernelSmoother( orHist )
%
% Author: Tim Rees
% Date Nov 20, 2004.

nBins = length( countVec );


indices1 = transpose(1:nBins);
indices1 = repmat( indices1, 1, nBins);
indices2 = transpose( indices1 );

diffMat=indices1-indices2;
term=exp( -(diffMat.^2) );


numer=term*countVec;
denom=sum(transpose(term)); % the row sum


sCounts = transpose(numer)./denom;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%---------------------------------------------------------------------
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function y=kerFunc(x)

	y=exp(-x^2);


